classification
Title: inaccuracy in httplib timeout documentation
Type: Stage:
Components: Documentation, Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: amak, facundobatista, georg.brandl, jjlee
Priority: normal Keywords:

Created on 2008-03-21 23:23 by jjlee, last changed 2008-05-11 11:09 by georg.brandl. This issue is now closed.

Messages (3)
msg64295 - (view) Author: John J Lee (jjlee) Date: 2008-03-21 23:23
The documentation for the new timeout support in 2.6 states that "If the
optional timeout parameter is given, connection attempts will timeout
after that many seconds".  In fact, other non-blocking.  The only
operation that might block for longer than the requested timeout is the
getaddrinfo() in socket.create_connection().

There may be similar inaccuracies in the docs of other modules to which
timeout support was added.
msg64298 - (view) Author: John J Lee (jjlee) Date: 2008-03-21 23:36
Oops, un-finished sentence in my opening comment ("In fact, other
non-blocking.") should have read:

In fact, other blocking operations will also time out.
msg66623 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-11 11:09
Thanks, fixed in r63058.
History
Date User Action Args
2008-05-11 11:09:43georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg66623
2008-03-30 19:23:48amaksetnosy: + amak
2008-03-21 23:36:12jjleesetmessages: + msg64298
2008-03-21 23:25:23benjamin.petersonsetnosy: + facundobatista
2008-03-21 23:23:26jjleecreate